#ifndef EMPTYCREATURE_HPP
#define EMPTYCREATURE_HPP

#include <iostream>
#include "creature.hpp"

namespace ecosystem{
	
	//Forward declarations
	//template <typename T>
	//class Dynamic2D;
	
	class Empty : public Creature {
		public:
			Empty();
			
			void move(Dynamic2D<Creature*>& dynamic_world,int global_x,int global_y) override;

			void eat() override;
			void update(Dynamic2D<Creature*>& dynamic_world,int global_x,int global_y) override;
			void display_self();
			Empty* clone() const override;
	};
}
#endif